IDEA-142099 ComiplingEvaluator does not use dependencies